<template>
  <div id="loadingindicator">
    <div v-if="loading.counter > 0">
      <coscine-loading slot="waiting">
      </coscine-loading>
    </div>
    <div v-else>
      <hr class="blackbar">
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import { CoscineLoadingBar } from '@coscine/component-library';

(Vue as any).util.defineReactive(coscine.loading, 'counter', 0);

export default Vue.extend({
  name: 'loadingindicator',
  computed: {
    loading() {
      return coscine.loading;
    },
  },
  components: {
    CoscineLoading: CoscineLoadingBar,
  },
});
</script>

<style>
.blackbar {
  border-radius: 0;
  border-top: 3px solid #000;
}
</style>
